// Util.h - [2020-06-22 11:41:46]
#ifndef _UTIL_H_
#define _UTIL_H_

#include "CFTTVector32.h"

/*
00178670 UTILCOL_CheckSpheresOverlap(TPoint3D,int,TPoint3D,int)
001786E4 UTILCOL_RayCircleTest(TPoint *,int,TPoint *,TPoint *,int)
0017875C UTILCOL_LengthenBone(TPoint3D *,TPoint3D *,int)
001787A0 UTILCOL_CapsuleCapsuleCheck(TPoint3D,TPoint3D,TPoint3D,TPoint3D,int,int,int,int)
001F5080 UtilOpenPak(int,char const*)
001F510C UtilClosePak(int)
001F5170 UtilIsPackOpen(int)
*/

// 00178670
void UTILCOL_CheckSpheresOverlap(TPoint3D, int, TPoint3D, int);

// 001786E4
int UTILCOL_RayCircleTest(TPoint *, int, TPoint *, TPoint *, int);

// 0017875C
void UTILCOL_LengthenBone(TPoint3D *, TPoint3D *, int);

// 001787A0
bool UTILCOL_CapsuleCapsuleCheck(TPoint3D, TPoint3D, TPoint3D, TPoint3D, int, int, int, int);

// 001F5080
void UtilOpenPak(int a0, char const *pFileType);

// 001F510C
void UtilClosePak(int a0);

// 001F5170
bool UtilIsPackOpen(int a0);

void OrthogonalSet(CFTTVector32 &v0, CFTTVector32 &v1, CFTTVector32 &v2);

#endif  //_UTIL_H_